Package serp.bytecode

# Class MonitorEnterInstruction

java.lang.Object
serp.bytecode.Instruction
serp.bytecode.MonitorInstruction
serp.bytecode.MonitorEnterInstruction

All Implemented Interfaces:
  `BCEntity`, `VisitAcceptor`

public class MonitorEnterInstruction extends MonitorInstruction
The `monitorenter` instruction.

Author:
  Abe White

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptVisit(BCVisitor visit)`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.

### Methods inherited from class serp.bytecode.MonitorInstruction

`getStackChange`

### Methods inherited from class serp.bytecode.Instruction

`equalsInstruction, getByteIndex, getClassLoader, getCode, getLineNumber, getLogicalStackChange, getName, getOpcode, getPool, getProject, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### acceptVisit

public void acceptVisit(BCVisitor visit)
Description copied from interface: `VisitAcceptor`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.

Specified by:
  `acceptVisit` in interface `VisitAcceptor`
Overrides:
  `acceptVisit` in class `Instruction`